summaryrefslogtreecommitdiffstats
path: root/network/GhostInTheMail
diff options
context:
space:
mode:
author majk <majk@konstelacioj.info>2010-05-12 23:31:54 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:31:54 +0200
commit610212b2798ddba640630f29cf8b24dbc5de4bd5 (patch)
tree1d8b8f276f293bc7a1284a6c1def9f0901516be3 /network/GhostInTheMail
parentb9a0cacb8e08ddd716a4a1dbc19c64cd5e630e45 (diff)
downloadslackbuilds-610212b2798ddba640630f29cf8b24dbc5de4bd5.tar.gz
slackbuilds-610212b2798ddba640630f29cf8b24dbc5de4bd5.tar.xz
network/GhostInTheMail: Added to 12.2 repository
Diffstat (limited to 'network/GhostInTheMail')
-rw-r--r--network/GhostInTheMail/GhostInTheMail.SlackBuild70
-rw-r--r--network/GhostInTheMail/GhostInTheMail.info8
-rw-r--r--network/GhostInTheMail/README3
-rw-r--r--network/GhostInTheMail/doinst.sh3
-rw-r--r--network/GhostInTheMail/slack-desc19
5 files changed, 103 insertions, 0 deletions
diff --git a/network/GhostInTheMail/GhostInTheMail.SlackBuild b/network/GhostInTheMail/GhostInTheMail.SlackBuild
new file mode 100644
index 0000000000..fd8b19c5c0
--- /dev/null
+++ b/network/GhostInTheMail/GhostInTheMail.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for Ghost In The Mail
+
+# Written by majk <majk@konstelacioj.info>
+
+PRGNAM=GhostInTheMail
+VERSION=${VERSION:-0.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
+# Add a menu entry
+mkdir -p $PKG/usr/share/applications
+cat > $PKG/usr/share/applications/$PRGNAM.desktop <<END
+[Desktop Entry]
+Name=Ghost In The Mail
+Exec=gitmail
+Icon=mail-message-new
+Type=Application
+Categories=Network;
+END
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/GhostInTheMail/GhostInTheMail.info b/network/GhostInTheMail/GhostInTheMail.info
new file mode 100644
index 0000000000..e396c34320
--- /dev/null
+++ b/network/GhostInTheMail/GhostInTheMail.info
@@ -0,0 +1,8 @@
+PRGNAM="GhostInTheMail"
+VERSION="0.5"
+HOMEPAGE="http://gitmail.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/gitmail/GhostInTheMail-0.5.tar.gz"
+MD5SUM="972887a499b4fa86f1a5b570fa858a1e"
+MAINTAINER="majk"
+EMAIL="majk@konstelacioj.info"
+APPROVED="rworkman"
diff --git a/network/GhostInTheMail/README b/network/GhostInTheMail/README
new file mode 100644
index 0000000000..99cbac6cc6
--- /dev/null
+++ b/network/GhostInTheMail/README
@@ -0,0 +1,3 @@
+Ghost In The Mail is a very basic mail client for Linux, written in C, for GTK.
+It supports attached files. The user can specify the SMTP server, the sender's
+e-mail, and the name.
diff --git a/network/GhostInTheMail/doinst.sh b/network/GhostInTheMail/doinst.sh
new file mode 100644
index 0000000000..01ca62b341
--- /dev/null
+++ b/network/GhostInTheMail/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi \ No newline at end of file
diff --git a/network/GhostInTheMail/slack-desc b/network/GhostInTheMail/slack-desc
new file mode 100644
index 0000000000..a304b5d144
--- /dev/null
+++ b/network/GhostInTheMail/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+GhostInTheMail: GhostInTheMail (Basic GTK mail client)
+GhostInTheMail:
+GhostInTheMail: Ghost In The Mail is a very basic mail client for Linux,
+GhostInTheMail: written in C, for GTK. It supports attached files. The user
+GhostInTheMail: can specify the SMTP server, the sender's e-mail, and the name.
+GhostInTheMail:
+GhostInTheMail: Homepage: http://gitmail.sourceforge.net/
+GhostInTheMail:
+GhostInTheMail:
+GhostInTheMail:
+GhostInTheMail: